package ru.yandex.autotests.directapi.darkside.datacontainers.jsonrpc.clientdata;

import com.fasterxml.jackson.annotation.JsonProperty;
import ru.yandex.autotests.irt.testutils.json.JsonUtils;

/**
 * Created by semkagtn on 16.06.15.
 */
public class ClientDataUidItem {

    @JsonProperty("chief")
    private Boolean chief;

    @JsonProperty("FIO")
    private String fio;

    @JsonProperty("login")
    private String login;

    public Boolean getChief() {
        return chief;
    }

    public void setChief(Boolean chief) {
        this.chief = chief;
    }

    public String getFio() {
        return fio;
    }

    public void setFio(String fio) {
        this.fio = fio;
    }

    public String getLogin() {
        return login;
    }

    public void setLogin(String login) {
        this.login = login;
    }

    public ClientDataUidItem withChief(Boolean chief) {
        this.setChief(chief);
        return this;
    }

    public ClientDataUidItem withFio(String fio) {
        this.setFio(fio);
        return this;
    }

    public ClientDataUidItem withLogin(String login) {
        this.setLogin(login);
        return this;
    }

    @Override
    public String toString() {
        return JsonUtils.toString(this);
    }
}
